PrintJobAttributeEvent (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print.event, class: PrintJobAttributeEvent
Keywords: javax.print.event.PrintJobAttributeEvent class

# Class PrintJobAttributeEvent

java.lang.Object
java.util.EventObject
javax.print.event.PrintEvent
javax.print.event.PrintJobAttributeEvent

All Implemented Interfaces:
  `Serializable`

public class PrintJobAttributeEvent extends PrintEvent
Class `PrintJobAttributeEvent` encapsulates an event a `PrintService` reports to let the client know that one or more printing attributes for a `PrintJob` have changed.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrintJobAttributeEvent(DocPrintJob source, PrintJobAttributeSet attributes)`
  Constructs a `PrintJobAttributeEvent` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PrintJobAttributeSet`
  `getAttributes()`
  Determine the printing attributes that changed and their new values.
  `DocPrintJob`
  `getPrintJob()`
  Determine the `PrintJob` to which this print job event pertains.

  ### Methods declared in class PrintEvent

  `toString`
  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns a string representation of this `PrintEvent`.

  ### Methods declared in class EventObject

  `getSource`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### PrintJobAttributeEvent

    public PrintJobAttributeEvent(DocPrintJob source, PrintJobAttributeSet attributes)
    Constructs a `PrintJobAttributeEvent` object.
    Parameters:
      `source` - the print job generating this event
      `attributes` - the attribute changes being reported
    Throws:
      `IllegalArgumentException` - if `source` is `null`

- ## Method Details

  - ### getPrintJob

    public DocPrintJob getPrintJob()
    Determine the `PrintJob` to which this print job event pertains.
    Returns:
      `PrintJob` object

  - ### getAttributes

    public PrintJobAttributeSet getAttributes()
    Determine the printing attributes that changed and their new values.
    Returns:
      attributes containing the new values for the print job attributes that changed. The returned set may not be modifiable.